Sign in to follow this  
JKstang2u

[Bug]Spartan broke when updated to 4.2.3 release

2 posts in this topic

I've been using the 4.2.3 beta for last few days without issue. I just now updated to the "release" and found my UI to be broken with the following lua error. (this is using latest version of Bartender 4.7.2) 

Message: Interface\AddOns\SpartanUI\core\Framework.lua:394: attempt to index field 'Bartender4' (a nil value)
Time: 08/04/16 20:56:25
Count: 1
Stack: Interface\AddOns\SpartanUI\core\Framework.lua:394: in function `?'
...er4\libs\CallbackHandler-1.0\CallbackHandler-1.0.lua:145: in function <...er4\libs\CallbackHandler-1.0\CallbackHandler-1.0.lua:145>
[string "safecall Dispatcher[2]"]:4: in function <[string "safecall Dispatcher[2]"]:4>
[C]: ?
[string "safecall Dispatcher[2]"]:13: in function `?'
...er4\libs\CallbackHandler-1.0\CallbackHandler-1.0.lua:90: in function `Fire'
...rface\AddOns\Bartender4\libs\AceDB-3.0\AceDB-3.0.lua:605: in function `ResetProfile'
Interface\AddOns\Bartender4\Options\Presets.lua:264: in function `ResetProfile'
Interface\AddOns\Bartender4\Bartender4.lua:200: in function `?'
...er4\libs\CallbackHandler-1.0\CallbackHandler-1.0.lua:145: in function <...er4\libs\CallbackHandler-1.0\CallbackHandler-1.0.lua:145>
[string "safecall Dispatcher[3]"]:4: in function <[string "safecall Dispatcher[3]"]:4>
[C]: ?
...
[C]: ?
[string "safecall Dispatcher[1]"]:9: in function <[string "safecall Dispatcher[1]"]:5>
(tail call): ?
...AddOns\Bartender4\libs\AceAddon-3.0\AceAddon-3.0.lua:558: in function `EnableAddon'
...AddOns\Bartender4\libs\AceAddon-3.0\AceAddon-3.0.lua:571: in function `EnableAddon'
...AddOns\Bartender4\libs\AceAddon-3.0\AceAddon-3.0.lua:651: in function <...AddOns\Bartender4\libs\AceAddon-3.0\AceAddon-3.0.lua:636>
[C]: in function `LoadAddOn'
Interface\FrameXML\UIParent.lua:391: in function `UIParentLoadAddOn'
Interface\FrameXML\UIParent.lua:482: in function `TimeManager_LoadUI'
Interface\FrameXML\UIParent.lua:993: in function <Interface\FrameXML\UIParent.lua:891>

Locals: <none>

 

I deleted the WTF and Cache folder contents and tried again only to be presented once again with the above error.

 

Edit: After getting above error multiple times I started over and attempted to proceed with the "setup". After the initial setup the error went away and hasn't returned. Not sure what caused it, but definitely was confused for a while. 


View full bug

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this